ONVIF::Device::Elements::ScanAvailableDot11NetworksResponse(3)

NAME
ONVIF::Device::Elements::ScanAvailableDot11NetworksResponse

DESCRIPTION
Perl data type class for the XML Schema defined element ScanAvailableDot11NetworksResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Networks

     $element->set_Networks($data);
     $element->get_Networks();

METHODS

  new
 my $element = ONVIF::Device::Elements::ScanAvailableDot11NetworksResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Networks =>  { # ONVIF::Device::Types::Dot11AvailableNetworks
     SSID => $some_value, # Dot11SSIDType
     BSSID =>  $some_value, # string
     AuthAndMangementSuite => $some_value, # Dot11AuthAndMangementSuite
     PairCipher => $some_value, # Dot11Cipher
     GroupCipher => $some_value, # Dot11Cipher
     SignalStrength => $some_value, # Dot11SignalStrength
     Extension =>  { # ONVIF::Device::Types::Dot11AvailableNetworksExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL